#define __python /usr/bin/python26
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global srcname Beaver

Name:           python-%{srcname}
Version:        31
Release:        2%{?dist}
Summary:        python daemon that munches on logs and sends their contents to logstash

Group:          Development/Languages
License:        MIT
URL:		https://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/B/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:	chkconfig

Requires:	python-argparse >= 1.2.0
Requires:	python-conf_d >= 0.0.4
Requires:	python-glob2 = 0.3
Requires:	python-redis >= 2.7.5
Requires:	python-msgpack >= 0.1.3
Requires:	python-daemon >= 1.5.2
Requires:	python-boto >= 2.8.0
# the following two are not really required for our use case, use with redis and logstash, maybe later
#mosquitto>=1.1
#pika>=0.9.12


%description
python daemon that munches on logs and sends their contents to logstash

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_initrddir}
install -m 755 contrib/beaver-el6-init.d ${RPM_BUILD_ROOT}%{_initrddir}/beaver

%post
/sbin/chkconfig --add beaver

%preun
if [ $1 = 0 ]; then
   service beaver stop >/dev/null 2>&1
   /sbin/chkconfig --del beaver
fi

%postun
if [ "$1" -ge "1" ]; then
    service beaver condrestart >/dev/null 2>&1 || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/beaver
%{python_sitelib}/beaver
%{python_sitelib}/%{srcname}*.egg-info
%{_initrddir}/beaver

%changelog
* Sat Oct 05 2013 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
